Page MenuHomeSolus

update kodi-pvr-iptvsimple to 4.0
Closed, ResolvedPublic

Description

new tagged release is available from upstream
https://github.com/kodi-pvr/pvr.iptvsimple/archive/4.0.0-Matrix.tar.gz

updated version fixes

  • compatibility with kodi 18 "leia"
  • Implement PVR addon API v6.0.0

Event Timeline

nazar created this task.Apr 13 2019, 7:00 AM
Jacalz added a subscriber: Jacalz.Apr 13 2019, 7:36 AM

Please update the task according to the official guidelines to make it valid.

nazar renamed this task from kodi-pvr-iptvsimple 3.5.7 to update kodi-pvr-iptvsimple to 3.5.7.Apr 13 2019, 8:01 AM
nazar updated the task description. (Show Details)
nazar edited projects, added Software; removed Lacks Project.
Jacalz added a comment.EditedApr 13 2019, 8:05 AM

Looks like we need to have a package called rapidxml in order to update this. Looks like that package is kind of DOA sadly...

Girtablulu triaged this task as Low priority.Apr 14 2019, 1:02 PM
Girtablulu moved this task from Backlog to Improvement on the Software board.
nazar renamed this task from update kodi-pvr-iptvsimple to 3.5.7 to update kodi-pvr-iptvsimple to 4.0.May 5 2019, 7:18 AM
nazar updated the task description. (Show Details)
ermo added a subscriber: ermo.Jun 19 2019, 7:53 PM
ermo added a comment.Jun 19 2019, 8:00 PM

I'm keeping this in mind for my next Kodi rebuild -- if we're lucky, it'll Just Work™ because it and its deps will be pulled in automagically by Kodi's own build scripts.

I don’t think we should update to 4.0 or later because they seem to be for the next Kodi update possibly named Matrix? I think it would be wiser to stick with the 3.x.x series that explicitly states that it’s for Leia. Will be updating my revision to 3.5.8!

ermo added a comment.Jul 1 2019, 3:55 PM

I don’t think we should update to 4.0 or later because they seem to be for the next Kodi update possibly named Matrix? I think it would be wiser to stick with the 3.x.x series that explicitly states that it’s for Leia. Will be updating my revision to 3.5.8!

Any news on this @Jacalz ?

I ask because I just rebuilt kodi-18.3 and kodi-platform locally and would like to test your kodi-pvr-iptvsimple-3.5.8 plugin before foisting it upon the world at large...

Jacalz added a comment.EditedJul 1 2019, 4:24 PM

Sorry, I am having issues with my solbuild environment not behaving as it should and rapidxml is very annoying.
There's pretty much nothing important that has happened after the version that I have built in my package, either you pull that in or I will abandon the revision and leave it as is.

EDIT: It is not a threat, even if it sounds like that 😂

ermo added a comment.Jul 1 2019, 4:47 PM

@Jacalz :

So, just so I'm sure we're on the same page:

I should just go ahead and test out D5986 (3.5.3) with my kodi-18.3 build for now?

And then you'll try to update the plugin to 3.5.8 at a later stage -- rapidxml and your solbuild setup permitting?

P.S. Any chance I could persuade you to join #Solus-Dev on Freenode IRC?

ermo added a comment.EditedJul 1 2019, 4:52 PM

@Jacalz

Good news! Kodi-18.3 now correctly builds and includes the pvr-iptvsimple-3.5.8 plugin when I do a complete build of kodi. \o/

If all goes well, we can nuke the separate plugin from the repo. I'll ping you once kodi-18.3 lands in -unstable for you to test.

Jacalz added a comment.Jul 1 2019, 6:07 PM

Wonderful! Really good news 👍
Should probably try to wrap my head around how IRC works and be more active there too, thanks for the tip @ermo 🙂

ermo added a comment.Jul 2 2019, 11:26 AM

@Jacalz

Kodi-18.3 was landed in unstable last night (R1571:115a53714a61).

Could I persuade you to test the pvr-iptvsimple plugin included in the build and see if it works as you expect?

If it does work, I'll close the present request as we'll already be using the newest/most suitable version from upstream.

Jacalz added a comment.Jul 2 2019, 1:52 PM

No need to persuade me, I will do a check on it 👍

ermo added a comment.Jul 7 2019, 1:34 PM

@Jacalz

Any comments re. the test of the recently landed pvr-iptvsimple-3.5.8?

Jacalz added a comment.EditedJul 7 2019, 4:06 PM
In T7850#153787, @ermo wrote:

@Jacalz
Any comments re. the test of the recently landed pvr-iptvsimple-3.5.8?

Oh sorry, I did all the testing but forgot to say how it was 😬 It worked fine 👍

ermo closed this task as Resolved.Jul 15 2019, 12:15 PM
ermo claimed this task.

Latest supported version of pvr-iptvsimple is now built as part of our "batteries included" version of Kodi.

Marking as resolved.